# PSF-LoginServer - master - net.psforever.services.teamwork.SquadService.Invitation
PSF - LoginServer - master - net.psforever.services.teamwork.SquadService.Invitation
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadService.Invitation

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
-  object SquadService
  Definition Classes
    teamwork
- IndirectInvite
- Invitation
- LookingForSquadRoleInvite
- ProximityInvite
- RequestRole
- SpontaneousInvite
- VacancyInvite
- WaypointData

c

net.psforever.services.teamwork.SquadService

# Invitation

###

#### abstract class Invitation extends AnyRef

The base of all objects that exist for the purpose of communicating invitation from one player to the next.

Source
  SquadService.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
IndirectInvite, LookingForSquadRoleInvite, ProximityInvite, RequestRole, SpontaneousInvite, VacancyInvite

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Invitation
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Invitation(char_id: Long, name: String)

   char_id

     the inviting player's unique identifier number

   name

     the inviting player's name

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def InviterCharId: Long
5.  def InviterName: String
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped